1 Reply Latest reply on Sep 24, 2016 2:19 PM by Raja Mohan

    adding UCS object causes libcurl error

    Raja Mohan

      hi, we recently upgraded our BSA from 8.3.2 -> 8.6.1 -> 8.7 Patch 3. After the upgrade we followed the steps to update UCS configuration objects by upgrading agent, de-registering and registering configuration objects. Setup the ssl, and attempting to add UCS manager connection causes an error


      'Protocol "https" not supported or disabled in libcurl : on host xxxxxx'


      unable to use UCS management and provisioning any longer. Any thoughts?


      I do not see any libcurl on the rscd library path /NSH/lib and it seems like that is by design on the newer agents from some other forum postings.


      The 8.3 agent do not have an issue from 8.7 application server and has a libcurl on the /NSH/lib but produces different error while attempting to use


      Command execution failed. com.bladelogic.om.infra.mfw.util.BlException: com.bladelogic.om.infra.model.asset.InvalidAssetTypeException: Asset 'BladeLogic UCS Manager' is not registered on host 'xxxxxxx' or version of Configuration Object distributed and version of agent on host 'xxxxxxx' are incompatible with each other. Please distribute agent compatible Configuration Object on this host.


      So we are in a predicament after the upgrade all the process stopped working related to UCS management.